@import 'libs/shared/assets/src/global-style/color';

:host {
  ::ng-deep {
    .ant-card-head {
      display: none;
    }
  }
}

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 40px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    position: fixed;
    top: 134px;
    z-index: 1000;
    right: 25px;
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.bt-center {
  align-self: center;
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
}

::ng-deep.index-setting {
  border: 1px solid #d9d9d9;
  padding: 5px;
  border-radius: 8px;
  .ant-tag {
    margin-bottom: 5px;
    background: #e8eaf6;
    border-radius: 4px;
  }
  .ant-input {
    border: 0;
    &:focus {
      box-shadow: none;
    }
  }
}

.iconClass {
  margin-right: 10px;
}
